﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace DockingSL
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.ChangeColors();
        }

        private void ChangeColors()
        {
            // You shouldn't use StyleManager when styling with Implicit Styles
           // StyleManager.ApplicationTheme = new Windows8Theme();
            
            string hexaColor = "#ff0173bc";//"#header";
            Color blue = Color.FromArgb(
                Convert.ToByte(hexaColor.Substring(1, 2), 16),
                Convert.ToByte(hexaColor.Substring(3, 2), 16),
                Convert.ToByte(hexaColor.Substring(5, 2), 16),
                Convert.ToByte(hexaColor.Substring(7, 2), 16));

            Windows8Palette.Palette.AccentColor = blue;

            string hexaColorB = "#ffdbedf8";//"#konten";
            Color semiblue = Color.FromArgb(
                Convert.ToByte(hexaColorB.Substring(1, 2), 16),
                Convert.ToByte(hexaColorB.Substring(3, 2), 16),
                Convert.ToByte(hexaColorB.Substring(5, 2), 16),
                Convert.ToByte(hexaColorB.Substring(7, 2), 16));

            Windows8Palette.Palette.MainColor = semiblue;

            string hexaColorC = "#ff9ecae7";//"#highlight";
            Color semigrey = Color.FromArgb(
                Convert.ToByte(hexaColorC.Substring(1, 2), 16),
                Convert.ToByte(hexaColorC.Substring(3, 2), 16),
                Convert.ToByte(hexaColorC.Substring(5, 2), 16),
                Convert.ToByte(hexaColorC.Substring(7, 2), 16));

            Windows8Palette.Palette.BasicColor = semigrey;

            string hexaColorD = "#ff000000";//"#teksstrong";
            Color semolo = Color.FromArgb(
                Convert.ToByte(hexaColorD.Substring(1, 2), 16),
                Convert.ToByte(hexaColorD.Substring(3, 2), 16),
                Convert.ToByte(hexaColorD.Substring(5, 2), 16),
                Convert.ToByte(hexaColorD.Substring(7, 2), 16));

            Windows8Palette.Palette.StrongColor = semolo;

            string hexaColorE = "#ff000000";//"hitam/636363";
            Color semolowaru = Color.FromArgb(
                Convert.ToByte(hexaColorE.Substring(1, 2), 16),
                Convert.ToByte(hexaColorE.Substring(3, 2), 16),
                Convert.ToByte(hexaColorE.Substring(5, 2), 16),
                Convert.ToByte(hexaColorE.Substring(7, 2), 16));

            Windows8Palette.Palette.MarkerColor = semolowaru;

            string hexaColorF = "#ff923939";//"validasi";
            Color bunderanwaru = Color.FromArgb(
                Convert.ToByte(hexaColorF.Substring(1, 2), 16),
                Convert.ToByte(hexaColorF.Substring(3, 2), 16),
                Convert.ToByte(hexaColorF.Substring(5, 2), 16),
                Convert.ToByte(hexaColorF.Substring(7, 2), 16));

            Windows8Palette.Palette.ValidationColor = bunderanwaru;
        }
        
    }
}